> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a single accounting entry by id. 



## OpenAPI

````yaml get /v1/accounting-entries/{accountingEntryId}
openapi: 3.0.1
info:
  title: Gjoll API
  description: Gjoll OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team-accounting-core@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 84.1.2
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: reconciliation
    description: Reconciliation API
  - name: accounts
    description: Accounts API
  - name: categories
    description: Categories API
  - name: tax-codes
    description: Tax Codes API
  - name: accounting-entries
    description: |-
      The Accounting Entries API endpoints enable you to perform the following:
        - Apply filters and search for accounting entries and accounting receipts.
        - Retrieve list of accounting entries and accounting receipts.
        - Retrieve details of a specific accounting entry.
paths:
  /v1/accounting-entries/{accountingEntryId}:
    get:
      tags:
        - accounting-entries
        - accounting-entries-external
      summary: 'Fetch a single accounting entry by id. '
      operationId: externalGetAccountingEntryV1
      parameters:
        - name: accountingEntryId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: The specific accounting entry ID that you are looking for.
            format: uuid
        - name: include_deleted
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: boolean
            description: >-
              Set this to true if you want to include deleted accounting
              entries.
      responses:
        '200':
          description: The accounting entry for the specified ID.
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/DataResponseAccountingEntryV1'
        '403':
          description: 'Forbidden: client lacks the necessary permissions.'
        '404':
          description: Accounting entry not found.
        '503':
          description: Service temporarily unavailable. The request can be retried.
components:
  schemas:
    DataResponseAccountingEntryV1:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AccountingEntryV1'
    AccountingEntryV1:
      required:
        - attendees
        - companyId
        - createdAt
        - exportStatus
        - family
        - id
        - performedAt
        - receiptIds
        - reviewStatus
        - splitItems
        - status
        - tags
        - transactionValue
        - updatedAt
      type: object
      properties:
        accountCode:
          type: string
          description: >-
            The account code allocated to the specific accounting entry. For
            example, an expense incurred for meals and drinks account would have
            a specific account code.
        accountId:
          type: string
          description: >-
            Unique identification number of the account (Category) allocated to
            the transaction. If `I don't know` is selected, then in the API
            endpoint response, `"00000000-0000-0000-0000-000000000000"` is
            returned, implying no category is yet selected for the specific
            accounting entry. 
          format: uuid
        attendees:
          type: array
          description: >-
            A list of attendee objects associated with the accounting entry. For
            example, in the case of a business meal expense, attendees would be
            the people who attended the meal. Each attendee is represented as an
            `AttendeeV1` object containing identifying information for either an
            employee or a contact.
          items:
            description: >-
              A list of attendee objects associated with the accounting entry.
              For example, in the case of a business meal expense, attendees
              would be the people who attended the meal. Each attendee is
              represented as an `AttendeeV1` object containing identifying
              information for either an employee or a contact.
            allOf:
              - $ref: '#/components/schemas/AttendeeV1'
        bookkeepingDate:
          type: string
          description: >-
            The date when the transaction was settled, except for out of pocket
            expenses; for out of pocket expense, the bookkeeping date is when
            the purchase was done.
          format: date-time
        companyId:
          type: string
          description: >-
            The unique identifier of the company that to which the accounting
            entry belongs.
          format: uuid
        createdAt:
          type: string
          description: The date and time when the specific accounting entry is created.
          format: date-time
        deletedAt:
          type: string
          description: >-
            If the accounting entry is deleted, this field specifies the date
            and time of deletion.
          format: date-time
        employeeId:
          type: string
          description: The unique identifier of the employee who incurred the expense.
          format: uuid
        exportStatus:
          type: string
          description: >
            This can be one of `ExportStatus` values.


            `CREATED`: The accounting entry has been created.

            `EXPORTED`: The accounting entry has been exported.

            `EXPORTING`: The accounting entry is in the process of being
            exported.

            `QUEUED`: The accounting entry is in the queue to be exported.
          example: CREATED
        family:
          type: string
          description: >
            This can be one of `AccountingEntryFamily` values.


            `BALANCE_AMENDMENT`: Represents manual wallet balance adjustments,
            often through human intervention.

            `BILL_INVOICE`: Represents an invoice issued to the company. If
            payment of the invoice is made via Pleo, the payment is recorded
            separately, using the `BILL_INVOICE_PAYMENT` family.

            `CARD_PURCHASE`: Represents a purchase made using a physical or
            virtual Pleo card.

            `CASHBACK`: An amount of money that is returned to the company
            through Pleo cashback.

            `CREDIT_NOTE`: Represents a credit note issued to the company,
            stored only in the accounting entry metadata table.

            `MILEAGE`: Represents a Mileage expense incurred by an employee. The
            amount is owed to the employee.

            `OUT_OF_POCKET`: Represents an amount that is spent by an employee
            out of their own pocket. The amount is owed to the employee.

            `OVERDRAFT`: Represents either the monthly subscription fee for
            using Pleo Overdraft, or a the interest incurred on an existing
            overdraft.

            `PER_DIEM`: Represents a daily allowance given to an employee during
            travel - the amount is owed to the employee.

            `PLEO_INVOICE`: Represents the SaaS invoice from Pleo to the
            company.

            `REIMBURSEMENT`: Represents a reimbursement from the company to the
            employee or vice-versa.

            `WALLET`: Represents a top up or withdrawal on the Pleo wallet

            `BILL_INVOICE_PAYMENT`: Represents a payment of an invoice from the
            company wallet.
          example: BALANCE_AMENDMENT
        foreignExtensionId:
          type: string
          description: >-
            This is an auto-generated ID that populates when the Accounting
            Entries API endpoints interact with other Pleo APIs.
        id:
          type: string
          description: The unique identifier of the specific accounting entry.
          format: uuid
        merchant:
          description: Merchant the transaction was executed at.
          allOf:
            - $ref: '#/components/schemas/AccountingEntryMerchantV1'
        note:
          type: string
          description: An optional note that can be added to the accounting entry.
        performedAt:
          type: string
          description: The date and time when the transaction was performed.
          format: date-time
        receiptIds:
          uniqueItems: true
          type: array
          description: IDs of any receipts associated with the specific accounting entry.
          items:
            type: string
            description: IDs of any receipts associated with the specific accounting entry.
            format: uuid
        reviewStatus:
          type: string
          description: >
            This can be one of `ReviewStatus` values.


            `NOT_OK`: The accounting entry has been reviewed as `Not OK`.

            `NOT_REQUIRED`: The accounting entry does not require review.

            `NOT_SET`: The accounting entry has not been reviewed yet.

            `OK`: The accounting entry has been reviewed as `OK`.

            `WAITING_FOR_EXPENSE_OWNER`: The accounting entry is waiting for
            more details from the Expense Owner.

            `WAITING_FOR_REVIEWER`: The accounting entry is waiting for review
            by a reviewer.

            `WAITING_FOR_COMPANY_REVIEWER`: The accounting entry is waiting for
            review by a company reviewer.

            `WAITING_FOR_TEAM_REVIEWER`: The accounting entry is waiting for
            review by a team reviewer.

            `WAITING_FOR_TAG_REVIEWER`: The accounting entry is waiting for
            review by a tag reviewer.
          example: NOT_OK
        settledAt:
          type: string
          description: >-
            The date and time when the transaction was settled. For example in
            the case of a card purchase, the date when the transaction was
            finalized.
          format: date-time
        splitItems:
          type: array
          description: >-
            A list of `SplitItemV1` objects associated with the accounting
            entry. The list is empty when the entry has not been split. When the
            entry is split, the list contains the resulting split items.
          items:
            description: >-
              A list of `SplitItemV1` objects associated with the accounting
              entry. The list is empty when the entry has not been split. When
              the entry is split, the list contains the resulting split items.
            allOf:
              - $ref: '#/components/schemas/SplitItemV1'
        status:
          type: string
          description: >
            This can be one of `AccountingEntryStatus` values.


            `DRAFT`: The accounting entry is still in a work-in-progress stage;
            the details might change.

            `PENDING`: Payment is in progress. The transaction amount in the
            specific currency is final, yet the funds have not
              yet been settled.> ⚠️ **Note**: The customer can no longer cancel this expense.
            > amount/currency is fixed, funds have been reserved but not yet
            settled,

            > and expense can no longer be canceled by user

            `COMPLETED`: The transaction is complete, implying the funds have
            been settled for the final bill amount.

            `COMPLETED_EXTERNALLY`: Payment has completed *outside of Pleo*.
            Hence, it does not impact the Pleo wallet

            `CANCELLED`: Canceled by user, Pleo, or an external party

            `REJECTED`: Rejected by user, Pleo or an external party

            `ERROR`: An error prevented the accounting entry from being settled
          example: DRAFT
        subFamily:
          type: string
          description: >
            This can be one of `AccountingEntrySubFamily` values.


            `ATM`: A `CARD_PURCHASE` that was performed at an ATM.

            `IN_STORE`: A `CARD_PURCHASE` that was performed at a physical
            store.

            `ONLINE`: A `CARD_PURCHASE` that was performed online.

            `PLEO_INVOICE`: A `PLEO_INVOICE` that was paid.

            `PLEO_INVOICE_REFUND`: A `PLEO_INVOICE` that was refunded.

            `REIMBURSEMENT_TO_COMPANY`: A `REIMBURSEMENT` was made to the
            company.

            `REIMBURSEMENT_TO_EMPLOYEE`: A `REIMBURSEMENT` was made to the
            employee.

            `REIMBURSEMENT_TO_EMPLOYEE_REFUND`: A `REIMBURSEMENT` to the
            employee was refunded.

            `LOAD`: Either a `WALLET` or a BALANCE_AMENDMENT` load.

            `UNLOAD`: Either a `WALLET` or a BALANCE_AMENDMENT` unload - Money
            leaves the Pleo wallet.

            `WITHDRAWAL`: A `WALLET` withdrawal.

            `FEE`: A monthly fee paid for using overdraft.

            `INTEREST`: Interest paid for the amount over drafted.

            `BILL_INVOICE_PAYMENT_RETURNED`: A `BILL_INVOICE_PAYMENT` that was
            returned.

            `BILL_INVOICE_PAYMENT_RECEIVED`: A `BILL_INVOICE_PAYMENT` that was
            received.
          example: ATM
        supplier:
          $ref: '#/components/schemas/AccountingEntrySupplier'
        tags:
          type: array
          description: >-
            A list of `AccountingEntryTagV1` objects representing the tags
            associated with the accounting entry.
          items:
            description: >-
              A list of `AccountingEntryTagV1` objects representing the tags
              associated with the accounting entry.
            allOf:
              - $ref: '#/components/schemas/AccountingEntryTagV1'
        taxCodeId:
          type: string
          description: >-
            A unique identifier that references the specific `TaxCode` applied
            to the specific accounting entry.
          format: uuid
        teamId:
          type: string
          description: >-
            A unique identifier of the team to which the accounting entry
            belongs. For example, an accounting entry is associated with the
            Design team of a company. So, the entry specifies the Design Team ID
          format: uuid
        totalBillValue:
          description: >-
            The billed value of the transaction used for accounting purposes,
            represented as a `Money` object in the company’s default currency.
          allOf:
            - $ref: '#/components/schemas/Money'
        transactionValue:
          description: >-
            The transaction amount in the currency in which the payment was
            made, represented as a `Money` object. For example, if an expense is
            incurred in France, the value is returned in EUR.
          allOf:
            - $ref: '#/components/schemas/Money'
        updatedAt:
          type: string
          description: >-
            Specifies the date and time when details of the specific accounting
            entry is modified.
          format: date-time
    AttendeeV1:
      required:
        - attendableId
        - attendableType
        - id
      type: object
      properties:
        attendableId:
          type: string
        attendableType:
          type: string
          description: This can be one of `AccountingEntryAttendeeType` values.
          example: CONTACT
        id:
          type: string
      description: >-
        A list of attendee objects associated with the accounting entry. For
        example, in the case of a business meal expense, attendees would be the
        people who attended the meal. Each attendee is represented as an
        `AttendeeV1` object containing identifying information for either an
        employee or a contact.
    AccountingEntryMerchantV1:
      type: object
      properties:
        address:
          type: object
          additionalProperties:
            type: string
            description: Address of the merchant
          description: Address of the merchant
        externalMerchantId:
          type: string
          description: Payment processor's merchant identifier
        merchantCategoryCode:
          type: string
          description: >-
            A four-digit number in ISO 18245, used to classify a business by the
            types of goods and services it provides.
        name:
          type: string
          description: Name of the merchant
      description: Merchant the transaction was executed at.
    SplitItemV1:
      required:
        - createdAt
        - id
        - tags
        - updatedAt
      type: object
      properties:
        accountCode:
          type: string
          description: >-
            The account code picked for the specific split item. If this is not
            null, it should be used instead of the account code from the
            `accountId` field. 
        accountId:
          type: string
          description: >-
            The id of the account (Category) allocated to the transaction. If `I
            don't know` is selected, then in the API endpoint response,
            `"00000000-0000-0000-0000-000000000000"` is returned. 
          format: uuid
        createdAt:
          type: string
          description: >-
            The time when the split item was created. This is in ISO 8601
            format. For example, `2024-01-01T12:00:00Z`.
          format: date-time
        id:
          type: string
          description: Unique identifier of the split item
          format: uuid
        tags:
          type: array
          description: >-
            A list of `AccountingEntryTagV1` objects representing the tags
            associated with the split item.
          items:
            description: >-
              A list of `AccountingEntryTagV1` objects representing the tags
              associated with the split item.
            allOf:
              - $ref: '#/components/schemas/AccountingEntryTagV1'
        taxCodeId:
          type: string
          description: >-
            A unique identifier that references the specific `TaxCode` applied
            to the specific split item.
          format: uuid
        totalBillValue:
          description: >-
            The portion of the transaction amount assigned to this split item,
            represented as a `Money` object in the company's default currency.
          allOf:
            - $ref: '#/components/schemas/Money'
        transactionValue:
          description: >-
            The transaction amount in the currency in which the payment was
            made, represented as a `Money` object. For example, if an expense is
            incurred in France, the value is returned in EUR.
          allOf:
            - $ref: '#/components/schemas/Money'
        updatedAt:
          type: string
          description: >-
            The time when the split item was last updated. This is in ISO 8601
            format. For example, `2024-01-01T12:00:00Z`.
          format: date-time
      description: >-
        A list of `SplitItemV1` objects associated with the accounting entry.
        The list is empty when the entry has not been split. When the entry is
        split, the list contains the resulting split items.
    AccountingEntrySupplier:
      type: object
      properties:
        cif:
          type: string
        documentNumber:
          type: string
        documentType:
          type: string
          description: This can be one of `SupplierDocumentType` values.
          example: FACTURA
        externalAccountNumber:
          type: string
        externalSupplierId:
          type: string
    AccountingEntryTagV1:
      required:
        - tagGroupId
      type: object
      properties:
        tagGroupId:
          type: string
          description: The unique identifier of the tag group to which the tag belongs.
          format: uuid
        tagId:
          type: string
          description: >-
            The unique identifier of the tag. If `I don't know` is selected,
            then in the API endpoint response,
            `"00000000-0000-0000-0000-000000000000"` is returned. 
          format: uuid
      description: >-
        A list of `AccountingEntryTagV1` objects representing the tags
        associated with the split item.
    Money:
      required:
        - currency
        - minors
      type: object
      properties:
        currency:
          type: string
          description: The currency codes followed in Pleo conforms with ISO 4217.
          example: EUR
        minors:
          type: integer
          description: >-
            The transaction amount is represented in smallest denomination in a
            specific currency.
             For example:
            - A transaction amount is £65.80 in Great Britain Pounds (GBP); this
            represented as `6580`.

            - A transaction amount is 1500 ISK in Icelandic Króna (ISK); this is
            represented as `1500`.
          format: int64
          example: 10
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````